Ask Your Question
1

error while loading shared libraries: libzip.so.2 mysql-workbench fc23

asked 2015-11-28 07:10:11 -0500

vandb gravatar image

I tried install mysql-workbench flow link https://dev.mysql.com/doc/mysql-yum-r... But it raise error when execute /usr/bin/mysql-workbench: usr/libexec/mysql-workbench/mysql-workbench-bin: error while loading shared libraries: libzip.so.2: cannot open shared object file: No such file or directory

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2015-11-28 10:58:01 -0500

aeperezt gravatar image

updated 2015-11-28 11:02:39 -0500

Workbench is maintain by mysql.org they have not a working ready installation for Fedora 23, so you need to wait until they do or use similar program fedora users libzip.so.4 you may create a link so wordbench uses libzip.so.4 as libzip.so.2 but that will only work if there are not much differences between versions. Have not try it so it is an idea. Hope it helps

edit flag offensive delete link more

Comments

I've tried creating a symlink named as libzip.so.2 pointing to libzip.so.4 (both in /usr/lib64) but the error remains the same. Should I do anything else after creating the symlink? What am I missing?

galvao gravatar imagegalvao ( 2015-12-09 02:48:11 -0500 )edit
1

If that did not work you can only wait until mysql people has a Fedora version of it.

aeperezt gravatar imageaeperezt ( 2015-12-09 08:40:48 -0500 )edit
0

answered 2015-12-13 04:30:40 -0500

Having the same issues here. I've received the word from the MySQL Workbench team (via twitter: @MySQLWorkbench) that a version for Fedora 23 is coming soon.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2015-11-28 07:10:11 -0500

Seen: 1,306 times

Last updated: Dec 13 '15